# Class StateMatcher

- Defined in src/router/state/state-matcher.js:2

##### Index

### Constructors

constructor

### Properties

_states

### Methods

find
isRelative
resolvePath

## Constructors

### constructor

- new StateMatcher(_states: any): StateMatcher

  #### Parameters

  - _states: any

  #### Returns StateMatcher

  - Defined in src/router/state/state-matcher.js:3

## Properties

### _states

_states: any

- Defined in src/router/state/state-matcher.js:4

## Methods

### find

- find(stateOrName: any, base: any, matchGlob?: boolean): any

  #### Parameters

  - stateOrName: any
  - base: any
  - matchGlob: boolean = true

  #### Returns any

  - Defined in src/router/state/state-matcher.js:10

### isRelative

- isRelative(stateName: any): boolean

  #### Parameters

  - stateName: any

  #### Returns boolean

  - Defined in src/router/state/state-matcher.js:6

### resolvePath

- resolvePath(name: any, base: any): string

  #### Parameters

  - name: any
  - base: any

  #### Returns string

  - Defined in src/router/state/state-matcher.js:39